LIBA_TARGET 		:= libiot_oled.a

$(call Append_Conditional, LIB_SRCS_EXCLUDE, main.c)
$(call Append_Conditional, SRCS_oled, main.c)
$(call Append_Conditional, TARGET, oled)

CFLAGS 			+= -I$(TOP_DIR)/common/nanomsg/include

ifeq ($(CONFIG_MODEL),x86)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_ubuntu
else ifeq ($(CONFIG_MODEL),nx5)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_nx5 
else
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg
endif
